Package io.github.jdbcx.dialect

# Class DuckDBDialect

java.lang.Object
io.github.jdbcx.dialect.DuckDBDialect

All Implemented Interfaces:
  `JdbcDialect`

public class DuckDBDialect extends Object implements JdbcDialect

## Constructor Summary

Constructors
Constructor
Description
`DuckDBDialect()`

## Method Summary

Modifier and Type
Method
Description
`ResultMapper`
`getMapper()`
`Format`
`getPreferredFormat()`
Gets preferred data format.
`boolean`
`supports(Format format)`
Checks if the data format is supported or not.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.github.jdbcx.JdbcDialect

`getPreferredCompression, getRemoteTable, getValueFactory, getVariableTag, supportMultipleResultSetsPerStatement, supports`

## Constructor Details

### DuckDBDialect

public DuckDBDialect()

## Method Details

### getPreferredFormat

public Format getPreferredFormat()
Description copied from interface: `JdbcDialect`
Gets preferred data format.

Specified by:
  `getPreferredFormat` in interface `JdbcDialect`
Returns:
  non-null data format

### getMapper

public ResultMapper getMapper()

Specified by:
  `getMapper` in interface `JdbcDialect`

### supports

public boolean supports(Format format)
Description copied from interface: `JdbcDialect`
Checks if the data format is supported or not.

Specified by:
  `supports` in interface `JdbcDialect`
Parameters:
  `format` - non-null data format
Returns:
  true if it's supported; false otherwise